	import org.kwis.msp.lcdui.*;
	import org.kwis.msp.lwc.*;
	import org.kwis.msp.io.*;
	import java.util.Vector;
	
	public class Example1 extends Jlet{
	    // 프로그램이 시작될 때 불려진다.
	    protected void startApp(String args[ ]){
	        FileSystem file = new FileSystem( );
	
	        listCurrDirectory(file);
	
	        makeNewDir(file);
	        listCurrDirectory(file);
 	
	        renameDir(file);
	        listCurrDirectory(file);
	
	        deleteDir(file);
	        listCurrDirectory(file);
    }
	
	        public void listCurrDirectory(FileSystem file){
	             try{
	                 Vector v = file.list(".");
	
	                 System.err.println("---------------------------------------");
	                 for(int i = 0; i < v.size( ); i++){
	                    String name = (String) v.elementAt(i);
	                    if(file.isDirectory(name)){
	                        System.err.println("[" + name + "]");
	                    }
	                     else if(file.isFile(name)){
	                        System.err.println(name);
	                    }
	                }
	                System.err.println("----------------------------------------");
	             }catch(Exception e){ }
	         }
	
	        public void makeNewDir(FileSystem file){
	            try{
	                file.mkdir("test1");
	                file.mkdir("test2dir");
	            }catch(Exception e){
	            }
	         }
	
	        public void renameDir(FileSystem file){
	            try{
	                file.rename("test1", "test1Renamed");
	            }catch(Exception e){
	            }
	        }
	
	        public void deleteDir(FileSystem file){
	            try{
	                file.rmdir("test2dir");
	            }catch(Exception e){
	            }
	        }
	
	        // 프로그램이 정리하려고 할 때 불려진다.
		protected void pauseApp( ){
		}
	        // 프로그램이 다시 수행을 하려고 할 때 불려진다.
		protected void resumeApp( ){
	        }
	        // 프로그램이 종료됨을 알려주는 함수이다.
 		protected void destroyApp(boolean arg0) {  
		}

         }
